Subject: Re: bug#12123:

From: Glenn Morris <[email-masked]>
Date: Sun, 07 Apr 2013 22:00:49 -0400

Eli Zaretskii wrote:

> Btw, even if these conditions _are_ true, I still don't see how can we
> find /usr/libexec/emacs/VERSION/CONFIG/, /usr/share/emacs/VERSION/lisp/
> using the fact that Emacs was invoked from /usr/bin/.  Which part of
> the code knows about VERSION and CONFIG part and looks for them?  All I
> see is that we look for lib-src and etc, but that's only good to detect
> that we are being run from the build directory, not from where we are
> installed.  What am I missing?

Well yes, that's the point of this report. No-one has implemented a
relocatable Emacs installation for general POSIX platforms. Solving
those problems is part of it. A relocatable Emacs would not be installed
as you describe above, it would (I imagine) be installed similar to the
way the NS build is, under a single top-level directory.